# Interface IValueChangeListener<T>

Type Parameters:
  `T` - the type of value being observed

All Superinterfaces:
  `IObservablesListener`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface IValueChangeListener<T> extends IObservablesListener
Listener for changes to observable values.

Since:
  1.0

## Method Summary

Modifier and Type
Method
Description
`void`
`handleValueChange(ValueChangeEvent<? extends T> event)`
Handles a change to an observable value.

## Method Details

### handleValueChange

void handleValueChange(ValueChangeEvent<? extends T> event)
Handles a change to an observable value. The given event object must only be used locally in this method because it may be reused for other change notifications. The diff object referenced by the event is immutable and may be used non-locally.

Parameters:
  `event` - the event